// import 'package:cloud_firestore/cloud_firestore.dart';
// import 'package:get/get.dart';
// import 'package:wowit/firebaseService.dart';

// abstract class BaseController extends GetxController {
//   String _collection;
//   Map<String, List<DocumentSnapshot>> _dictCachedData = {};
//   Rx<List<dynamic>> _rxData = Rx<List<dynamic>>();

//   //condition
//   Map<String, Object> _conditions;
//   Map<String, Object> _orderBy;
//   int _limit = -1;
//   bool _usingDefaultCondition = true;
//   String _keyCachedData;
//   bool _forceReload = true;

//   List<S> getData<S>({String keyCachedData}) {
//     bool isCached = keyCachedData != null && keyCachedData != "";
//     List<S> retVal = [];

//     if (isCached && _dictCachedData.containsKey(keyCachedData)) {
//       _dictCachedData[keyCachedData].forEach((element) {
//         retVal.add(toModel(element));
//       });
//       return onBeforeReturnResult(retVal);
//     } else {
//       if (_rxData.value != null && _rxData.value.length > 0) {
//         _rxData.value.forEach((element) {
//           retVal.add(element as S);
//         });
//       }
//     }
//     return retVal;
//   }

//   BaseController(
//     this._collection,
//   );

//   @override
//   void update([List<Object> ids, bool condition = true]) {
//     // TODO: implement update
//     super.update(ids, condition);
//     print(this.runtimeType.toString() + ' - BaseController on update');
//   }

//   @override
//   void onClose() {
//     // TODO: implement onClose
//     super.onClose();
//     print(this.runtimeType.toString() + ' - BaseController on onClose');
//   }

//   @override
//   void onReady() {
//     // TODO: implement onReady
//     super.onReady();
//     print(this.runtimeType.toString() + ' - BaseController on onReady');
//   }

//   @override
//   void onInit() {
//     // TODO: implement onInit
//     print(this.runtimeType.toString() +
//         ' - BaseController on onInit with condition');
//     _rxData.bindStream(onBindStream(
//         conditions: this._conditions,
//         orderBy: this._orderBy,
//         limit: this._limit,
//         usingDefaultCondition: this._usingDefaultCondition,
//         keyCachedData: this._keyCachedData,
//         forceReload: this._forceReload));
//     super.onInit();
//   }

//   void setUpBindStream(
//       {Map<String, Object> conditions,
//       Map<String, Object> orderBy,
//       int limit = -1,
//       bool usingDefaultCondition = true,
//       String keyCachedData,
//       bool forceReload = true}) {
//     _conditions = conditions;
//     _orderBy = orderBy;
//     _limit = limit;
//     _usingDefaultCondition = usingDefaultCondition;
//     _keyCachedData = keyCachedData;
//     _forceReload = forceReload;
//   }

//   Stream<List<S>> onBindStream<S>(
//       {Map<String, Object> conditions,
//       Map<String, Object> orderBy,
//       int limit = -1,
//       bool usingDefaultCondition = true,
//       String keyCachedData,
//       bool forceReload = true}) {
//     if (this._collection == '') {
//       throw ("[ERROR] Collection is empty");
//     }
//     // TODO: implement onBindStream
//     if (usingDefaultCondition != null && usingDefaultCondition) {
//       if (conditions == null) conditions = {};
//       if (!conditions.containsKey('statusData')) conditions['statusData'] = 3;
//       if (!conditions.containsKey('visible')) conditions['visible'] = true;
//     }
//     bool isCached = keyCachedData != null && keyCachedData != "";
//     if (isCached && !forceReload) //get data in cache
//     {
//       if (_dictCachedData.containsKey(keyCachedData)) {
//         //return onBeforeReturnResult(keyCachedData[keyCachedData]);// not support
//       }
//     }
//     print(this.runtimeType.toString() +
//         ' - BaseController on onBindStream - conditions: ' +
//         conditions.toString());
//     if (isCached) _dictCachedData[keyCachedData] = [];
//     return FirebaseService.getQuery(this._collection,
//             conditions: conditions, orderBy: orderBy, limit: limit)
//         .snapshots()
//         .map((QuerySnapshot query) {
//       print(this.runtimeType.toString() +
//           ' - BaseController on onBindStream - query [collection]= ' +
//           _collection +
//           ' [result count] =' +
//           query.docs.length.toString() +
//           ' [condition] = ' +
//           conditions.toString());
//       List<S> retVal = [];
//       query.docs.forEach((element) {
//         retVal.add(toModel(element));
//         if (isCached) _dictCachedData[keyCachedData].add(element);
//       });
//       _resetSetting();
//       return onBeforeReturnResult(retVal);
//     });
//   }
// void _resetSetting()
// {
//   this._conditions.clear();
//   this._limit = -1;
//   this._orderBy.clear();
//   this._usingDefaultCondition = null;
//   this._keyCachedData = null;
//   this._forceReload = true;

// }
//   List<S> onBeforeReturnResult<S>(List<S> retVal) {
//     return retVal;
//   }

//   //abstract methods
//   S toModel<S>(DocumentSnapshot element);
// }
