import 'package:wowit/model.dart';

class AddressDataPicker {
  static List<KeyValue> getDataPickerQuocGia() {
    return [
      new KeyValue(1, 0, "Việt Nam"),
      new KeyValue(2, 0, "England"),
      new KeyValue(3, 0, "Nhật Bản"),
      new KeyValue(4, 0, "Hàn Quốc"),
      new KeyValue(5, 0, "Trung Quốc")
    ];
  }

  static List<KeyValue> getDataPickerTinh() {
    return [
      new KeyValue(1, 79, "Thành phố Hồ Chí Minh"),
      new KeyValue(1, 1, "Thành phố Hà Nội"),
      new KeyValue(1, 89, "An Giang"),
      new KeyValue(1, 77, "Bà Rịa - Vũng Tàu"),
      new KeyValue(1, 24, "Bắc Giang"),
      new KeyValue(1, 6, "Bắc Kạn"),
      new KeyValue(1, 95, "Bạc Liêu"),
      new KeyValue(1, 27, "Bắc Ninh"),
      new KeyValue(1, 83, "Bến Tre"),
      new KeyValue(1, 52, "Bình Định"),
      new KeyValue(1, 74, "Bình Dương"),
      new KeyValue(1, 70, "Bình Phước"),
      new KeyValue(1, 60, "Bình Thuận"),
      new KeyValue(1, 96, "Cà Mau"),
      new KeyValue(1, 4, "Cao Bằng"),
      new KeyValue(1, 66, "Đắk Lắk"),
      new KeyValue(1, 67, "Đắk Nông"),
      new KeyValue(1, 11, "Điện Biên"),
      new KeyValue(1, 75, "Đồng Nai"),
      new KeyValue(1, 87, "Đồng Tháp"),
      new KeyValue(1, 64, "Gia Lai"),
      new KeyValue(1, 2, "Hà Giang"),
      new KeyValue(1, 35, "Hà Nam"),
      new KeyValue(1, 42, "Hà Tĩnh"),
      new KeyValue(1, 30, "Hải Dương"),
      new KeyValue(1, 93, "Hậu Giang"),
      new KeyValue(1, 17, "Hòa Bình"),
      new KeyValue(1, 33, "Hưng Yên"),
      new KeyValue(1, 56, "Khánh Hòa"),
      new KeyValue(1, 91, "Kiên Giang"),
      new KeyValue(1, 62, "Kon Tum"),
      new KeyValue(1, 12, "Lai Châu"),
      new KeyValue(1, 68, "Lâm Đồng"),
      new KeyValue(1, 20, "Lạng Sơn"),
      new KeyValue(1, 10, "Lào Cai"),
      new KeyValue(1, 80, "Long An"),
      new KeyValue(1, 36, "Nam Định"),
      new KeyValue(1, 40, "Nghệ An"),
      new KeyValue(1, 37, "Ninh Bình"),
      new KeyValue(1, 58, "Ninh Thuận"),
      new KeyValue(1, 25, "Phú Thọ"),
      new KeyValue(1, 54, "Phú Yên"),
      new KeyValue(1, 44, "Quảng Bình"),
      new KeyValue(1, 49, "Quảng Nam"),
      new KeyValue(1, 51, "Quảng Ngãi"),
      new KeyValue(1, 22, "Quảng Ninh"),
      new KeyValue(1, 45, "Quảng Trị"),
      new KeyValue(1, 94, "Sóc Trăng"),
      new KeyValue(1, 14, "Sơn La"),
      new KeyValue(1, 72, "Tây Ninh"),
      new KeyValue(1, 34, "Thái Bình"),
      new KeyValue(1, 19, "Thái Nguyên"),
      new KeyValue(1, 38, "Thanh Hóa"),
      new KeyValue(1, 92, "Thành phố Cần Thơ"),
      new KeyValue(1, 48, "Thành phố Đà Nẵng"),
      new KeyValue(1, 31, "Thành phố Hải Phòng"),
      new KeyValue(1, 46, "Thừa Thiên Huế"),
      new KeyValue(1, 82, "Tiền Giang"),
      new KeyValue(1, 84, "Trà Vinh"),
      new KeyValue(1, 8, "Tuyên Quang"),
      new KeyValue(1, 86, "Vĩnh Long"),
      new KeyValue(1, 26, "Vĩnh Phúc"),
      new KeyValue(1, 15, "Yên Bái")
    ];
  }

  static List<KeyValue> getDataPickerHuyen(int idTinh) {
    List<KeyValue> huyen = [
      new KeyValue(89, 646, "Huyện An Phú"),
      new KeyValue(89, 649, "Huyện Châu Phú"),
      new KeyValue(89, 652, "Huyện Châu Thành"),
      new KeyValue(89, 653, "Huyện Chợ Mới"),
      new KeyValue(89, 648, "Huyện Phú Tân"),
      new KeyValue(89, 654, "Huyện Thoại Sơn"),
      new KeyValue(89, 650, "Huyện Tịnh Biên"),
      new KeyValue(89, 651, "Huyện Tri Tôn"),
      new KeyValue(89, 645, "Thành phố Châu Đốc"),
      new KeyValue(89, 644, "Thành phố Long Xuyên"),
      new KeyValue(89, 647, "Thị xã Tân Châu"),
      new KeyValue(77, 550, "Huyện Châu Đức"),
      new KeyValue(77, 555, "Huyện Côn Đảo"),
      new KeyValue(77, 553, "Huyện Đất Đỏ"),
      new KeyValue(77, 552, "Huyện Long Điền"),
      new KeyValue(77, 554, "Huyện Tân Thành"),
      new KeyValue(77, 551, "Huyện Xuyên Mộc"),
      new KeyValue(77, 549, "Thành phố Bà Rịa"),
      new KeyValue(77, 548, "Thành phố Vũng Tàu"),
      new KeyValue(24, 157, "Huyện Hiệp Hòa"),
      new KeyValue(24, 151, "Huyện Lạng Giang"),
      new KeyValue(24, 152, "Huyện Lục Nam"),
      new KeyValue(24, 153, "Huyện Lục Ngạn"),
      new KeyValue(24, 154, "Huyện Sơn Động"),
      new KeyValue(24, 150, "Huyện Tân Yên"),
      new KeyValue(24, 156, "Huyện Việt Yên"),
      new KeyValue(24, 155, "Huyện Yên Dũng"),
      new KeyValue(24, 149, "Huyện Yên Thế"),
      new KeyValue(24, 148, "Thành phố Bắc Giang"),
      new KeyValue(6, 42, "Huyện Ba Bể"),
      new KeyValue(6, 44, "Huyện Bạch Thông"),
      new KeyValue(6, 45, "Huyện Chợ Đồn"),
      new KeyValue(6, 46, "Huyện Chợ Mới"),
      new KeyValue(6, 47, "Huyện Na Rì"),
      new KeyValue(6, 43, "Huyện Ngân Sơn"),
      new KeyValue(6, 41, "Huyện Pác Nặm"),
      new KeyValue(6, 40, "Thành Phố Bắc Kạn"),
      new KeyValue(6, 3, "Thành Phố Bắc Kạn"),
      new KeyValue(95, 703, "Huyện Đông Hải"),
      new KeyValue(95, 704, "Huyện Hòa Bình"),
      new KeyValue(95, 699, "Huyện Hồng Dân"),
      new KeyValue(95, 700, "Huyện Phước Long"),
      new KeyValue(95, 701, "Huyện Vĩnh Lợi"),
      new KeyValue(95, 698, "Thành phố Bạc Liêu"),
      new KeyValue(95, 702, "Thị xã Giá Rai"),
      new KeyValue(27, 187, "Huyện Gia Bình"),
      new KeyValue(27, 188, "Huyện Lương Tài"),
      new KeyValue(27, 183, "Huyện Quế Võ"),
      new KeyValue(27, 186, "Huyện Thuận Thành"),
      new KeyValue(27, 184, "Huyện Tiên Du"),
      new KeyValue(27, 182, "Huyện Yên Phong"),
      new KeyValue(27, 181, "Thành phố Bắc Ninh"),
      new KeyValue(27, 185, "Thị xã Từ Sơn"),
      new KeyValue(83, 612, "Huyện Ba Tri"),
      new KeyValue(83, 611, "Huyện Bình Đại"),
      new KeyValue(83, 607, "Huyện Châu Thành"),
      new KeyValue(83, 608, "Huyện Chợ Lách"),
      new KeyValue(83, 610, "Huyện Giồng Trôm"),
      new KeyValue(83, 614, "Huyện Mỏ Cày Bắc"),
      new KeyValue(83, 609, "Huyện Mỏ Cày Nam"),
      new KeyValue(83, 613, "Huyện Thạnh Phú"),
      new KeyValue(83, 606, "Thành phố Bến Tre"),
      new KeyValue(52, 401, "Huyện An Lão"),
      new KeyValue(52, 403, "Huyện Hoài Ân"),
      new KeyValue(52, 402, "Huyện Hoài Nhơn"),
      new KeyValue(52, 407, "Huyện Phù Cát"),
      new KeyValue(52, 404, "Huyện Phù Mỹ"),
      new KeyValue(52, 406, "Huyện Tây Sơn"),
      new KeyValue(52, 409, "Huyện Tuy Phước"),
      new KeyValue(52, 410, "Huyện Vân Canh"),
      new KeyValue(52, 405, "Huyện Vĩnh Thạnh"),
      new KeyValue(52, 400, "Thành phố Quy Nhơn"),
      new KeyValue(52, 408, "Thị xã An Nhơn"),
      new KeyValue(74, 536, "Huyện Bắc Tân Uyên"),
      new KeyValue(74, 529, "Huyện Bàu Bàng"),
      new KeyValue(74, 530, "Huyện Dầu Tiếng"),
      new KeyValue(74, 532, "Huyện Phú Giáo"),
      new KeyValue(74, 528, "Thành phố Thủ Dầu Một"),
      new KeyValue(74, 531, "Thị xã Bến Cát"),
      new KeyValue(74, 534, "Thị xã Dĩ An"),
      new KeyValue(74, 533, "Thị xã Tân Uyên"),
      new KeyValue(74, 535, "Thị xã Thuận An"),
      new KeyValue(70, 516, "Huyện Bù Đăng"),
      new KeyValue(70, 513, "Huyện Bù Đốp"),
      new KeyValue(70, 511, "Huyện Bù Gia Mập"),
      new KeyValue(70, 517, "Huyện Chơn Thành"),
      new KeyValue(70, 515, "Huyện Đồng Phú"),
      new KeyValue(70, 514, "Huyện Hớn Quản"),
      new KeyValue(70, 512, "Huyện Lộc Ninh"),
      new KeyValue(70, 518, "Huyện Phú Riềng"),
      new KeyValue(70, 510, "Thị xã Bình Long"),
      new KeyValue(70, 509, "Thị xã Đồng Xoài"),
      new KeyValue(70, 508, "Thị xã Phước Long"),
      new KeyValue(60, 439, "Huyện Bắc Bình"),
      new KeyValue(60, 443, "Huyện Đức Linh"),
      new KeyValue(60, 444, "Huyện Hàm Tân"),
      new KeyValue(60, 440, "Huyện Hàm Thuận Bắc"),
      new KeyValue(60, 441, "Huyện Hàm Thuận Nam"),
      new KeyValue(60, 445, "Huyện Phú Quí"),
      new KeyValue(60, 442, "Huyện Tánh Linh"),
      new KeyValue(60, 438, "Huyện Tuy Phong"),
      new KeyValue(60, 436, "Thành phố Phan Thiết"),
      new KeyValue(60, 437, "Thị xã La Gi"),
      new KeyValue(96, 709, "Huyện Cái Nước"),
      new KeyValue(96, 710, "Huyện Đầm Dơi"),
      new KeyValue(96, 711, "Huyện Năm Căn"),
      new KeyValue(96, 713, "Huyện Ngọc Hiển"),
      new KeyValue(96, 712, "Huyện Phú Tân"),
      new KeyValue(96, 707, "Huyện Thới Bình"),
      new KeyValue(96, 708, "Huyện Trần Văn Thời"),
      new KeyValue(96, 706, "Huyện U Minh"),
      new KeyValue(96, 705, "Thành phố Cà Mau"),
      new KeyValue(4, 29, "Huyện Bảo Lạc"),
      new KeyValue(4, 28, "Huyện Bảo Lâm"),
      new KeyValue(4, 34, "Huyện Hạ Lang"),
      new KeyValue(4, 31, "Huyện Hà Quảng"),
      new KeyValue(4, 37, "Huyện Hòa An"),
      new KeyValue(4, 38, "Huyện Nguyên Bình"),
      new KeyValue(4, 36, "Huyện Phục Hòa"),
      new KeyValue(4, 35, "Huyện Quảng Uyên"),
      new KeyValue(4, 39, "Huyện Thạch An"),
      new KeyValue(4, 30, "Huyện Thông Nông"),
      new KeyValue(4, 32, "Huyện Trà Lĩnh"),
      new KeyValue(4, 33, "Huyện Trùng Khánh"),
      new KeyValue(4, 27, "Thành phố Cao Bằng"),
      new KeyValue(66, 477, "Huyện Buôn Đôn"),
      new KeyValue(66, 487, "Huyện Cư Kuin"),
      new KeyValue(66, 14, "Huyện Cư M'gar"),
      new KeyValue(66, 13, "Huyện Ea H'leo"),
      new KeyValue(66, 481, "Huyện Ea Kar"),
      new KeyValue(66, 476, "Huyện Ea Súp"),
      new KeyValue(66, 485, "Huyện Krông A Na"),
      new KeyValue(66, 483, "Huyện Krông Bông"),
      new KeyValue(66, 479, "Huyện Krông Búk"),
      new KeyValue(66, 480, "Huyện Krông Năng"),
      new KeyValue(66, 16, "Huyện Krông Pắc"),
      new KeyValue(66, 484, "Huyện Krông Pắc"),
      new KeyValue(66, 486, "Huyện Lắk"),
      new KeyValue(66, 15, "Huyện M'Đrắk"),
      new KeyValue(66, 473, "Thành phố Buôn Ma Thuột"),
      new KeyValue(66, 12, "Thành phố Buôn Ma Thuột"),
      new KeyValue(66, 474, "Thị Xã Buôn Hồ"),
      new KeyValue(67, 490, "Huyện Cư Jút"),
      new KeyValue(67, 489, "Huyện Đăk Glong"),
      new KeyValue(67, 491, "Huyện Đắk Mil"),
      new KeyValue(67, 17, "Huyện Đắk R'Lấp"),
      new KeyValue(67, 493, "Huyện Đắk Song"),
      new KeyValue(67, 492, "Huyện Krông Nô"),
      new KeyValue(67, 495, "Huyện Tuy Đức"),
      new KeyValue(67, 488, "Thị xã Gia Nghĩa"),
      new KeyValue(11, 70, "Huyện Điện Biên"),
      new KeyValue(11, 71, "Huyện Điện Biên Đông"),
      new KeyValue(11, 72, "Huyện Mường Ảng"),
      new KeyValue(11, 67, "Huyện Mường Chà"),
      new KeyValue(11, 66, "Huyện Mường Nhé"),
      new KeyValue(11, 73, "Huyện Nậm Pồ"),
      new KeyValue(11, 68, "Huyện Tủa Chùa"),
      new KeyValue(11, 69, "Huyện Tuần Giáo"),
      new KeyValue(11, 64, "Thành phố Điện Biên Phủ"),
      new KeyValue(11, 65, "Thị Xã Mường Lay"),
      new KeyValue(75, 544, "Huyện Cẩm Mỹ"),
      new KeyValue(75, 541, "Huyện Định Quán"),
      new KeyValue(75, 545, "Huyện Long Thành"),
      new KeyValue(75, 547, "Huyện Nhơn Trạch"),
      new KeyValue(75, 539, "Huyện Tân Phú"),
      new KeyValue(75, 543, "Huyện Thống Nhất"),
      new KeyValue(75, 542, "Huyện Trảng Bom"),
      new KeyValue(75, 540, "Huyện Vĩnh Cửu"),
      new KeyValue(75, 546, "Huyện Xuân Lộc"),
      new KeyValue(75, 537, "Thành phố Biên Hòa"),
      new KeyValue(75, 538, "Thị xã Long Khánh"),
      new KeyValue(87, 639, "Huyện Cao Lãnh"),
      new KeyValue(87, 643, "Huyện Châu Thành"),
      new KeyValue(87, 636, "Huyện Hồng Ngự"),
      new KeyValue(87, 642, "Huyện Lai Vung"),
      new KeyValue(87, 641, "Huyện Lấp Vò"),
      new KeyValue(87, 637, "Huyện Tam Nông"),
      new KeyValue(87, 635, "Huyện Tân Hồng"),
      new KeyValue(87, 640, "Huyện Thanh Bình"),
      new KeyValue(87, 638, "Huyện Tháp Mười"),
      new KeyValue(87, 632, "Thành phố Cao Lãnh"),
      new KeyValue(87, 633, "Thành phố Sa Đéc"),
      new KeyValue(87, 634, "Thị xã Hồng Ngự"),
      new KeyValue(64, 461, "Huyện Chư Păh"),
      new KeyValue(64, 466, "Huyện Chư Prông"),
      new KeyValue(64, 472, "Huyện Chư Pưh"),
      new KeyValue(64, 467, "Huyện Chư Sê"),
      new KeyValue(64, 460, "Huyện Đăk Đoa"),
      new KeyValue(64, 468, "Huyện Đăk Pơ"),
      new KeyValue(64, 465, "Huyện Đức Cơ"),
      new KeyValue(64, 462, "Huyện Ia Grai"),
      new KeyValue(64, 469, "Huyện Ia Pa"),
      new KeyValue(64, 459, "Huyện KBang"),
      new KeyValue(64, 464, "Huyện Kông Chro"),
      new KeyValue(64, 470, "Huyện Krông Pa"),
      new KeyValue(64, 463, "Huyện Mang Yang"),
      new KeyValue(64, 471, "Huyện Phú Thiện"),
      new KeyValue(64, 456, "Thành phố Pleiku"),
      new KeyValue(64, 457, "Thị xã An Khê"),
      new KeyValue(64, 458, "Thị xã Ayun Pa"),
      new KeyValue(2, 22, "Huyện Bắc Mê"),
      new KeyValue(2, 25, "Huyện Bắc Quang"),
      new KeyValue(2, 728, "Huyện Đồng Văn"),
      new KeyValue(2, 23, "Huyện Hoàng Su Phì"),
      new KeyValue(2, 18, "Huyện Mèo Vạc"),
      new KeyValue(2, 20, "Huyện Quản Bạ"),
      new KeyValue(2, 26, "Huyện Quang Bình"),
      new KeyValue(2, 21, "Huyện Vị Xuyên"),
      new KeyValue(2, 24, "Huyện Xín Mần"),
      new KeyValue(2, 19, "Huyện Yên Minh"),
      new KeyValue(2, 727, "Thành phố Hà Giang"),
      new KeyValue(35, 252, "Huyện Bình Lục"),
      new KeyValue(35, 249, "Huyện Duy Tiên"),
      new KeyValue(35, 250, "Huyện Kim Bảng"),
      new KeyValue(35, 253, "Huyện Lý Nhân"),
      new KeyValue(35, 251, "Huyện Thanh Liêm"),
      new KeyValue(35, 248, "Thành phố Phủ Lý"),
      new KeyValue(42, 329, "Huyện Cẩm Xuyên"),
      new KeyValue(42, 326, "Huyện Can Lộc"),
      new KeyValue(42, 323, "Huyện Đức Thọ"),
      new KeyValue(42, 327, "Huyện Hương Khê"),
      new KeyValue(42, 322, "Huyện Hương Sơn"),
      new KeyValue(42, 330, "Huyện Kỳ Anh"),
      new KeyValue(42, 331, "Huyện Lộc Hà"),
      new KeyValue(42, 325, "Huyện Nghi Xuân"),
      new KeyValue(42, 328, "Huyện Thạch Hà"),
      new KeyValue(42, 324, "Huyện Vũ Quang"),
      new KeyValue(42, 320, "Thành phố Hà Tĩnh"),
      new KeyValue(42, 321, "Thị xã Hồng Lĩnh"),
      new KeyValue(42, 332, "Thị xã Kỳ Anh"),
      new KeyValue(30, 210, "Huyện Bình Giang"),
      new KeyValue(30, 209, "Huyện Cẩm Giàng"),
      new KeyValue(30, 211, "Huyện Gia Lộc"),
      new KeyValue(30, 207, "Huyện Kim Thành"),
      new KeyValue(30, 206, "Huyện Kinh Môn"),
      new KeyValue(30, 205, "Huyện Nam Sách"),
      new KeyValue(30, 213, "Huyện Ninh Giang"),
      new KeyValue(30, 208, "Huyện Thanh Hà"),
      new KeyValue(30, 214, "Huyện Thanh Miện"),
      new KeyValue(30, 212, "Huyện Tứ Kỳ"),
      new KeyValue(30, 203, "Thành phố Hải Dương"),
      new KeyValue(30, 204, "Thị xã Chí Linh"),
      new KeyValue(93, 682, "Huyện Châu Thành"),
      new KeyValue(93, 681, "Huyện Châu Thành A"),
      new KeyValue(93, 685, "Huyện Long Mỹ"),
      new KeyValue(93, 683, "Huyện Phụng Hiệp"),
      new KeyValue(93, 684, "Huyện Vị Thuỷ"),
      new KeyValue(93, 679, "Thành phố Vị Thanh"),
      new KeyValue(93, 686, "Thị xã Long Mỹ"),
      new KeyValue(93, 680, "Thị xã Ngã Bảy"),
      new KeyValue(17, 108, "Huyện Cao Phong"),
      new KeyValue(17, 104, "Huyện Đà Bắc"),
      new KeyValue(17, 107, "Huyện Kim Bôi"),
      new KeyValue(17, 105, "Huyện Kỳ Sơn"),
      new KeyValue(17, 111, "Huyện Lạc Sơn"),
      new KeyValue(17, 113, "Huyện Lạc Thủy"),
      new KeyValue(17, 106, "Huyện Lương Sơn"),
      new KeyValue(17, 110, "Huyện Mai Châu"),
      new KeyValue(17, 109, "Huyện Tân Lạc"),
      new KeyValue(17, 112, "Huyện Yên Thủy"),
      new KeyValue(17, 103, "Thành phố Hòa Bình"),
      new KeyValue(33, 235, "Huyện Ân Thi"),
      new KeyValue(33, 236, "Huyện Khoái Châu"),
      new KeyValue(33, 237, "Huyện Kim Động"),
      new KeyValue(33, 234, "Huyện Mỹ Hào"),
      new KeyValue(33, 239, "Huyện Phù Cừ"),
      new KeyValue(33, 238, "Huyện Tiên Lữ"),
      new KeyValue(33, 232, "Huyện Văn Giang"),
      new KeyValue(33, 231, "Huyện Văn Lâm"),
      new KeyValue(33, 233, "Huyện Yên Mỹ"),
      new KeyValue(33, 230, "Thành phố Hưng Yên"),
      new KeyValue(56, 422, "Huyện Cam Lâm"),
      new KeyValue(56, 426, "Huyện Diên Khánh"),
      new KeyValue(56, 427, "Huyện Khánh Sơn"),
      new KeyValue(56, 425, "Huyện Khánh Vĩnh"),
      new KeyValue(56, 428, "Huyện Trường Sa"),
      new KeyValue(56, 423, "Huyện Vạn Ninh"),
      new KeyValue(56, 421, "Thành phố Cam Ranh"),
      new KeyValue(56, 420, "Thành phố Nha Trang"),
      new KeyValue(56, 424, "Thị xã Ninh Hòa"),
      new KeyValue(91, 663, "Huyện An Biên"),
      new KeyValue(91, 664, "Huyện An Minh"),
      new KeyValue(91, 660, "Huyện Châu Thành"),
      new KeyValue(91, 669, "Huyện Giang Thành"),
      new KeyValue(91, 661, "Huyện Giồng Riềng"),
      new KeyValue(91, 662, "Huyện Gò Quao"),
      new KeyValue(91, 658, "Huyện Hòn Đất"),
      new KeyValue(91, 667, "Huyện Kiên Hải"),
      new KeyValue(91, 657, "Huyện Kiên Lương"),
      new KeyValue(91, 666, "Huyện Phú Quốc"),
      new KeyValue(91, 659, "Huyện Tân Hiệp"),
      new KeyValue(91, 668, "Huyện U Minh Thượng"),
      new KeyValue(91, 665, "Huyện Vĩnh Thuận"),
      new KeyValue(91, 655, "Thành phố Rạch Giá"),
      new KeyValue(91, 656, "Thị xã Hà Tiên"),
      new KeyValue(62, 447, "Huyện Đắk Glei"),
      new KeyValue(62, 452, "Huyện Đắk Hà"),
      new KeyValue(62, 449, "Huyện Đắk Tô"),
      new KeyValue(62, 11, "Huyện Ia H' Drai"),
      new KeyValue(62, 450, "Huyện Kon Plông"),
      new KeyValue(62, 451, "Huyện Kon Rẫy"),
      new KeyValue(62, 448, "Huyện Ngọc Hồi"),
      new KeyValue(62, 453, "Huyện Sa Thầy"),
      new KeyValue(62, 454, "Huyện Tu Mơ Rông"),
      new KeyValue(62, 446, "Thành phố Kon Tum"),
      new KeyValue(12, 76, "Huyện Mường Tè"),
      new KeyValue(12, 81, "Huyện Nậm Nhùn"),
      new KeyValue(12, 78, "Huyện Phong Thổ"),
      new KeyValue(12, 77, "Huyện Sìn Hồ"),
      new KeyValue(12, 75, "Huyện Tam Đường"),
      new KeyValue(12, 80, "Huyện Tân Uyên"),
      new KeyValue(12, 79, "Huyện Than Uyên"),
      new KeyValue(12, 74, "Thành phố Lai Châu"),
      new KeyValue(68, 504, "Huyện Bảo Lâm"),
      new KeyValue(68, 507, "Huyện Cát Tiên"),
      new KeyValue(68, 505, "Huyện Đạ Huoai"),
      new KeyValue(68, 506, "Huyện Đạ Tẻh"),
      new KeyValue(68, 498, "Huyện Đam Rông"),
      new KeyValue(68, 503, "Huyện Di Linh"),
      new KeyValue(68, 501, "Huyện Đơn Dương"),
      new KeyValue(68, 502, "Huyện Đức Trọng"),
      new KeyValue(68, 499, "Huyện Lạc Dương"),
      new KeyValue(68, 500, "Huyện Lâm Hà"),
      new KeyValue(68, 497, "Thành phố Bảo Lộc"),
      new KeyValue(68, 496, "Thành phố Đà Lạt"),
      new KeyValue(20, 129, "Huyện Bắc Sơn"),
      new KeyValue(20, 125, "Huyện Bình Gia"),
      new KeyValue(20, 127, "Huyện Cao Lộc"),
      new KeyValue(20, 131, "Huyện Chi Lăng"),
      new KeyValue(20, 133, "Huyện Đình Lập"),
      new KeyValue(20, 130, "Huyện Hữu Lũng"),
      new KeyValue(20, 132, "Huyện Lộc Bình"),
      new KeyValue(20, 124, "Huyện Tràng Định"),
      new KeyValue(20, 126, "Huyện Văn Lãng"),
      new KeyValue(20, 128, "Huyện Văn Quan"),
      new KeyValue(20, 123, "Thành phố Lạng Sơn"),
      new KeyValue(10, 59, "Huyện Bắc Hà"),
      new KeyValue(10, 60, "Huyện Bảo Thắng"),
      new KeyValue(10, 61, "Huyện Bảo Yên"),
      new KeyValue(10, 56, "Huyện Bát Xát"),
      new KeyValue(10, 57, "Huyện Mường Khương"),
      new KeyValue(10, 62, "Huyện Sa Pa"),
      new KeyValue(10, 58, "Huyện Si Ma Cai"),
      new KeyValue(10, 63, "Huyện Văn Bàn"),
      new KeyValue(10, 55, "Thành phố Lào Cai"),
      new KeyValue(80, 589, "Huyện Bến Lức"),
      new KeyValue(80, 592, "Huyện Cần Đước"),
      new KeyValue(80, 593, "Huyện Cần Giuộc"),
      new KeyValue(80, 594, "Huyện Châu Thành"),
      new KeyValue(80, 588, "Huyện Đức Hòa"),
      new KeyValue(80, 587, "Huyện Đức Huệ"),
      new KeyValue(80, 584, "Huyện Mộc Hóa"),
      new KeyValue(80, 582, "Huyện Tân Hưng"),
      new KeyValue(80, 585, "Huyện Tân Thạnh"),
      new KeyValue(80, 591, "Huyện Tân Trụ"),
      new KeyValue(80, 586, "Huyện Thạnh Hóa"),
      new KeyValue(80, 590, "Huyện Thủ Thừa"),
      new KeyValue(80, 583, "Huyện Vĩnh Hưng"),
      new KeyValue(80, 580, "Thành phố Tân An"),
      new KeyValue(80, 581, "Thị xã Kiến Tường"),
      new KeyValue(36, 262, "Huyện Giao Thủy"),
      new KeyValue(36, 263, "Huyện Hải Hậu"),
      new KeyValue(36, 255, "Huyện Mỹ Lộc"),
      new KeyValue(36, 259, "Huyện Nam Trực"),
      new KeyValue(36, 258, "Huyện Nghĩa Hưng"),
      new KeyValue(36, 260, "Huyện Trực Ninh"),
      new KeyValue(36, 256, "Huyện Vụ Bản"),
      new KeyValue(36, 261, "Huyện Xuân Trường"),
      new KeyValue(36, 257, "Huyện Ý Yên"),
      new KeyValue(36, 254, "Thành phố Nam Định"),
      new KeyValue(40, 311, "Huyện Anh Sơn"),
      new KeyValue(40, 309, "Huyện Con Cuông"),
      new KeyValue(40, 312, "Huyện Diễn Châu"),
      new KeyValue(40, 314, "Huyện Đô Lương"),
      new KeyValue(40, 318, "Huyện Hưng Nguyên"),
      new KeyValue(40, 304, "Huyện Kỳ Sơn"),
      new KeyValue(40, 317, "Huyện Nam Đàn"),
      new KeyValue(40, 316, "Huyện Nghi Lộc"),
      new KeyValue(40, 306, "Huyện Nghĩa Đàn"),
      new KeyValue(40, 302, "Huyện Quế Phong"),
      new KeyValue(40, 303, "Huyện Quỳ Châu"),
      new KeyValue(40, 307, "Huyện Quỳ Hợp"),
      new KeyValue(40, 308, "Huyện Quỳnh Lưu"),
      new KeyValue(40, 310, "Huyện Tân Kỳ"),
      new KeyValue(40, 315, "Huyện Thanh Chương"),
      new KeyValue(40, 305, "Huyện Tương Dương"),
      new KeyValue(40, 313, "Huyện Yên Thành"),
      new KeyValue(40, 299, "Thành phố Vinh"),
      new KeyValue(40, 300, "Thị xã Cửa Lò"),
      new KeyValue(40, 319, "Thị xã Hoàng Mai"),
      new KeyValue(40, 301, "Thị xã Thái Hòa"),
      new KeyValue(37, 267, "Huyện Gia Viễn"),
      new KeyValue(37, 268, "Huyện Hoa Lư"),
      new KeyValue(37, 270, "Huyện Kim Sơn"),
      new KeyValue(37, 266, "Huyện Nho Quan"),
      new KeyValue(37, 269, "Huyện Yên Khánh"),
      new KeyValue(37, 271, "Huyện Yên Mô"),
      new KeyValue(37, 264, "Thành phố Ninh Bình"),
      new KeyValue(37, 5, "Thành phố Tam Điệp"),
      new KeyValue(37, 265, "Thành phố Tam Điệp"),
      new KeyValue(58, 430, "Huyện Bác Ái"),
      new KeyValue(58, 432, "Huyện Ninh Hải"),
      new KeyValue(58, 433, "Huyện Ninh Phước"),
      new KeyValue(58, 431, "Huyện Ninh Sơn"),
      new KeyValue(58, 434, "Huyện Thuận Bắc"),
      new KeyValue(58, 435, "Huyện Thuận Nam"),
      new KeyValue(58, 429, "Thành phố Phan Rang-Tháp Chàm"),
      new KeyValue(58, 10, "Thành phố Phan Rang-Tháp Chàm"),
      new KeyValue(25, 165, "Huyện Cẩm Khê"),
      new KeyValue(25, 160, "Huyện Đoan Hùng"),
      new KeyValue(25, 161, "Huyện Hạ Hòa"),
      new KeyValue(25, 167, "Huyện Lâm Thao"),
      new KeyValue(25, 163, "Huyện Phù Ninh"),
      new KeyValue(25, 166, "Huyện Tam Nông"),
      new KeyValue(25, 170, "Huyện Tân Sơn"),
      new KeyValue(25, 162, "Huyện Thanh Ba"),
      new KeyValue(25, 168, "Huyện Thanh Sơn"),
      new KeyValue(25, 169, "Huyện Thanh Thuỷ"),
      new KeyValue(25, 164, "Huyện Yên Lập"),
      new KeyValue(25, 158, "Thành phố Việt Trì"),
      new KeyValue(25, 159, "Thị xã Phú Thọ"),
      new KeyValue(54, 419, "Huyện Đông Hòa"),
      new KeyValue(54, 413, "Huyện Đồng Xuân"),
      new KeyValue(54, 418, "Huyện Phú Hòa"),
      new KeyValue(54, 415, "Huyện Sơn Hòa"),
      new KeyValue(54, 416, "Huyện Sông Hinh"),
      new KeyValue(54, 417, "Huyện Tây Hòa"),
      new KeyValue(54, 414, "Huyện Tuy An"),
      new KeyValue(54, 411, "Thành phố Tuy Hòa"),
      new KeyValue(54, 412, "Thị xã Sông Cầu"),
      new KeyValue(44, 337, "Huyện Bố Trạch"),
      new KeyValue(44, 339, "Huyện Lệ Thủy"),
      new KeyValue(44, 334, "Huyện Minh Hóa"),
      new KeyValue(44, 338, "Huyện Quảng Ninh"),
      new KeyValue(44, 336, "Huyện Quảng Trạch"),
      new KeyValue(44, 335, "Huyện Tuyên Hóa"),
      new KeyValue(44, 333, "Thành Phố Đồng Hới"),
      new KeyValue(44, 340, "Thị xã Ba Đồn"),
      new KeyValue(49, 381, "Huyện Bắc Trà My"),
      new KeyValue(49, 372, "Huyện Đại Lộc"),
      new KeyValue(49, 371, "Huyện Đông Giang"),
      new KeyValue(49, 374, "Huyện Duy Xuyên"),
      new KeyValue(49, 378, "Huyện Hiệp Đức"),
      new KeyValue(49, 376, "Huyện Nam Giang"),
      new KeyValue(49, 382, "Huyện Nam Trà My"),
      new KeyValue(49, 385, "Huyện Nông Sơn"),
      new KeyValue(49, 383, "Huyện Núi Thành"),
      new KeyValue(49, 384, "Huyện Phú Ninh"),
      new KeyValue(49, 377, "Huyện Phước Sơn"),
      new KeyValue(49, 375, "Huyện Quế Sơn"),
      new KeyValue(49, 370, "Huyện Tây Giang"),
      new KeyValue(49, 379, "Huyện Thăng Bình"),
      new KeyValue(49, 380, "Huyện Tiên Phước"),
      new KeyValue(49, 369, "Thành phố Hội An"),
      new KeyValue(49, 368, "Thành phố Tam Kỳ"),
      new KeyValue(49, 9, "Thị xã Điện Bàn"),
      new KeyValue(49, 373, "Thị xã Điện Bàn"),
      new KeyValue(51, 398, "Huyện Ba Tơ"),
      new KeyValue(51, 387, "Huyện Bình Sơn"),
      new KeyValue(51, 397, "Huyện Đức Phổ"),
      new KeyValue(51, 399, "Huyện Lý Sơn"),
      new KeyValue(51, 394, "Huyện Minh Long"),
      new KeyValue(51, 396, "Huyện Mộ Đức"),
      new KeyValue(51, 395, "Huyện Nghĩa Hành"),
      new KeyValue(51, 392, "Huyện Sơn Hà"),
      new KeyValue(51, 393, "Huyện Sơn Tây"),
      new KeyValue(51, 390, "Huyện Sơn Tịnh"),
      new KeyValue(51, 389, "Huyện Tây Trà"),
      new KeyValue(51, 388, "Huyện Trà Bồng"),
      new KeyValue(51, 391, "Huyện Tư Nghĩa"),
      new KeyValue(51, 386, "Thành phố Quảng Ngãi"),
      new KeyValue(22, 142, "Huyện Ba Chẽ"),
      new KeyValue(22, 138, "Huyện Bình Liêu"),
      new KeyValue(22, 147, "Huyện Cô Tô"),
      new KeyValue(22, 140, "Huyện Đầm Hà"),
      new KeyValue(22, 141, "Huyện Hải Hà"),
      new KeyValue(22, 144, "Huyện Hoành Bồ"),
      new KeyValue(22, 139, "Huyện Tiên Yên"),
      new KeyValue(22, 143, "Huyện Vân Đồn"),
      new KeyValue(22, 136, "Thành phố Cẩm Phả"),
      new KeyValue(22, 134, "Thành phố Hạ Long"),
      new KeyValue(22, 135, "Thành phố Móng Cái"),
      new KeyValue(22, 137, "Thành phố Uông Bí"),
      new KeyValue(22, 4, "Thị xã Đông Triều"),
      new KeyValue(22, 145, "Thị xã Đông Triều"),
      new KeyValue(22, 146, "Thị xã Quảng Yên"),
      new KeyValue(45, 347, "Huyện Cam Lộ"),
      new KeyValue(45, 7, "Huyện Cồn Cỏ"),
      new KeyValue(45, 350, "Huyện Cồn Cỏ"),
      new KeyValue(45, 346, "Huyện Đa Krông"),
      new KeyValue(45, 345, "Huyện Gio Linh"),
      new KeyValue(45, 349, "Huyện Hải Lăng"),
      new KeyValue(45, 344, "Huyện Hướng Hóa"),
      new KeyValue(45, 348, "Huyện Triệu Phong"),
      new KeyValue(45, 343, "Huyện Vĩnh Linh"),
      new KeyValue(45, 341, "Thành phố Đông Hà"),
      new KeyValue(45, 342, "Thị xã Quảng Trị"),
      new KeyValue(94, 688, "Huyện Châu Thành"),
      new KeyValue(94, 691, "Huyện Cù Lao Dung"),
      new KeyValue(94, 689, "Huyện Kế Sách"),
      new KeyValue(94, 692, "Huyện Long Phú"),
      new KeyValue(94, 690, "Huyện Mỹ Tú"),
      new KeyValue(94, 693, "Huyện Mỹ Xuyên"),
      new KeyValue(94, 695, "Huyện Thạnh Trị"),
      new KeyValue(94, 697, "Huyện Trần Đề"),
      new KeyValue(94, 687, "Thành phố Sóc Trăng"),
      new KeyValue(94, 694, "Thị xã Ngã Năm"),
      new KeyValue(94, 696, "Thị xã Vĩnh Châu"),
      new KeyValue(14, 86, "Huyện Bắc Yên"),
      new KeyValue(14, 90, "Huyện Mai Sơn"),
      new KeyValue(14, 88, "Huyện Mộc Châu"),
      new KeyValue(14, 85, "Huyện Mường La"),
      new KeyValue(14, 87, "Huyện Phù Yên"),
      new KeyValue(14, 83, "Huyện Quỳnh Nhai"),
      new KeyValue(14, 91, "Huyện Sông Mã"),
      new KeyValue(14, 92, "Huyện Sốp Cộp"),
      new KeyValue(14, 84, "Huyện Thuận Châu"),
      new KeyValue(14, 93, "Huyện Vân Hồ"),
      new KeyValue(14, 89, "Huyện Yên Châu"),
      new KeyValue(14, 82, "Thành phố Sơn La"),
      new KeyValue(72, 526, "Huyện Bến Cầu"),
      new KeyValue(72, 523, "Huyện Châu Thành"),
      new KeyValue(72, 522, "Huyện Dương Minh Châu"),
      new KeyValue(72, 525, "Huyện Gò Dầu"),
      new KeyValue(72, 524, "Huyện Hòa Thành"),
      new KeyValue(72, 520, "Huyện Tân Biên"),
      new KeyValue(72, 521, "Huyện Tân Châu"),
      new KeyValue(72, 527, "Huyện Trảng Bàng"),
      new KeyValue(72, 519, "Thành phố Tây Ninh"),
      new KeyValue(34, 243, "Huyện Đông Hưng"),
      new KeyValue(34, 242, "Huyện Hưng Hà"),
      new KeyValue(34, 246, "Huyện Kiến Xương"),
      new KeyValue(34, 241, "Huyện Quỳnh Phụ"),
      new KeyValue(34, 244, "Huyện Thái Thụy"),
      new KeyValue(34, 245, "Huyện Tiền Hải"),
      new KeyValue(34, 247, "Huyện Vũ Thư"),
      new KeyValue(34, 240, "Thành phố Thái Bình"),
      new KeyValue(19, 120, "Huyện Đại Từ"),
      new KeyValue(19, 116, "Huyện Định Hóa"),
      new KeyValue(19, 118, "Huyện Đồng Hỷ"),
      new KeyValue(19, 122, "Huyện Phú Bình"),
      new KeyValue(19, 117, "Huyện Phú Lương"),
      new KeyValue(19, 119, "Huyện Võ Nhai"),
      new KeyValue(19, 115, "Thành phố Sông Công"),
      new KeyValue(19, 114, "Thành phố Thái Nguyên"),
      new KeyValue(19, 121, "Thị xã Phổ Yên"),
      new KeyValue(38, 277, "Huyện Bá Thước"),
      new KeyValue(38, 281, "Huyện Cẩm Thủy"),
      new KeyValue(38, 296, "Huyện Đông Sơn"),
      new KeyValue(38, 283, "Huyện Hà Trung"),
      new KeyValue(38, 291, "Huyện Hậu Lộc"),
      new KeyValue(38, 290, "Huyện Hoằng Hóa"),
      new KeyValue(38, 279, "Huyện Lang Chánh"),
      new KeyValue(38, 275, "Huyện Mường Lát"),
      new KeyValue(38, 292, "Huyện Nga Sơn"),
      new KeyValue(38, 280, "Huyện Ngọc Lặc"),
      new KeyValue(38, 294, "Huyện Như Thanh"),
      new KeyValue(38, 293, "Huyện Như Xuân"),
      new KeyValue(38, 295, "Huyện Nông Cống"),
      new KeyValue(38, 276, "Huyện Quan Hóa"),
      new KeyValue(38, 278, "Huyện Quan Sơn"),
      new KeyValue(38, 297, "Huyện Quảng Xương"),
      new KeyValue(38, 282, "Huyện Thạch Thành"),
      new KeyValue(38, 289, "Huyện Thiệu Hóa"),
      new KeyValue(38, 286, "Huyện Thọ Xuân"),
      new KeyValue(38, 287, "Huyện Thường Xuân"),
      new KeyValue(38, 298, "Huyện Tĩnh Gia"),
      new KeyValue(38, 288, "Huyện Triệu Sơn"),
      new KeyValue(38, 284, "Huyện Vĩnh Lộc"),
      new KeyValue(38, 285, "Huyện Yên Định"),
      new KeyValue(38, 274, "Thành phố Sầm Sơn"),
      new KeyValue(38, 6, "Thành phố Sầm Sơn"),
      new KeyValue(38, 272, "Thành phố Thanh Hóa"),
      new KeyValue(38, 273, "Thị xã Bỉm Sơn"),
      new KeyValue(92, 676, "Huyện Cờ Đỏ"),
      new KeyValue(92, 677, "Huyện Phong Điền"),
      new KeyValue(92, 678, "Huyện Thới Lai"),
      new KeyValue(92, 675, "Huyện Vĩnh Thạnh"),
      new KeyValue(92, 672, "Quận Bình Thuỷ"),
      new KeyValue(92, 673, "Quận Cái Răng"),
      new KeyValue(92, 670, "Quận Ninh Kiều"),
      new KeyValue(92, 671, "Quận Ô Môn"),
      new KeyValue(92, 674, "Quận Thốt Nốt"),
      new KeyValue(48, 366, "Huyện Hòa Vang"),
      new KeyValue(48, 367, "Huyện Hoàng Sa"),
      new KeyValue(48, 8, "Huyện Hoàng Sa"),
      new KeyValue(48, 365, "Quận Cẩm Lệ"),
      new KeyValue(48, 362, "Quận Hải Châu"),
      new KeyValue(48, 360, "Quận Liên Chiểu"),
      new KeyValue(48, 364, "Quận Ngũ Hành Sơn"),
      new KeyValue(48, 363, "Quận Sơn Trà"),
      new KeyValue(48, 361, "Quận Thanh Khê"),
      new KeyValue(1, 191, "Huyện Ba Vì"),
      new KeyValue(1, 197, "Huyện Chương Mỹ"),
      new KeyValue(1, 193, "Huyện Đan Phượng"),
      new KeyValue(1, 724, "Huyện Đông Anh"),
      new KeyValue(1, 725, "Huyện Gia Lâm"),
      new KeyValue(1, 194, "Huyện Hoài Đức"),
      new KeyValue(1, 177, "Huyện Mê Linh"),
      new KeyValue(1, 202, "Huyện Mỹ Đức"),
      new KeyValue(1, 200, "Huyện Phú Xuyên"),
      new KeyValue(1, 192, "Huyện Phúc Thọ"),
      new KeyValue(1, 195, "Huyện Quốc Oai"),
      new KeyValue(1, 723, "Huyện Sóc Sơn"),
      new KeyValue(1, 196, "Huyện Thạch Thất"),
      new KeyValue(1, 198, "Huyện Thanh Oai"),
      new KeyValue(1, 726, "Huyện Thanh Trì"),
      new KeyValue(1, 199, "Huyện Thường Tín"),
      new KeyValue(1, 201, "Huyện Ứng Hòa"),
      new KeyValue(1, 714, "Quận Ba Đình"),
      new KeyValue(1, 2, "Quận Bắc Từ Liêm"),
      new KeyValue(1, 718, "Quận Cầu Giấy"),
      new KeyValue(1, 719, "Quận Đống Đa"),
      new KeyValue(1, 189, "Quận Hà Đông"),
      new KeyValue(1, 720, "Quận Hai Bà Trưng"),
      new KeyValue(1, 715, "Quận Hoàn Kiếm"),
      new KeyValue(1, 721, "Quận Hoàng Mai"),
      new KeyValue(1, 717, "Quận Long Biên"),
      new KeyValue(1, 1, "Quận Nam Từ Liêm"),
      new KeyValue(1, 716, "Quận Tây Hồ"),
      new KeyValue(1, 722, "Quận Thanh Xuân"),
      new KeyValue(1, 190, "Thị xã Sơn Tây"),
      new KeyValue(31, 223, "Huyện An Dương"),
      new KeyValue(31, 224, "Huyện An Lão"),
      new KeyValue(31, 229, "Huyện Bạch Long Vĩ"),
      new KeyValue(31, 228, "Huyện Cát Hải"),
      new KeyValue(31, 225, "Huyện Kiến Thuỵ"),
      new KeyValue(31, 222, "Huyện Thuỷ Nguyên"),
      new KeyValue(31, 226, "Huyện Tiên Lãng"),
      new KeyValue(31, 227, "Huyện Vĩnh Bảo"),
      new KeyValue(31, 220, "Quận Đồ Sơn"),
      new KeyValue(31, 221, "Quận Dương Kinh"),
      new KeyValue(31, 218, "Quận Hải An"),
      new KeyValue(31, 215, "Quận Hồng Bàng"),
      new KeyValue(31, 219, "Quận Kiến An"),
      new KeyValue(31, 217, "Quận Lê Chân"),
      new KeyValue(31, 216, "Quận Ngô Quyền"),
      new KeyValue(79, 556, "Quận 1"),
      new KeyValue(79, 566, "Quận 3"),
      new KeyValue(79, 569, "Quận 4"),
      new KeyValue(79, 570, "Quận 5"),
      new KeyValue(79, 571, "Quận 6"),
      new KeyValue(79, 574, "Quận 7"),
      new KeyValue(79, 572, "Quận 8"),
      new KeyValue(79, 567, "Quận 10"),
      new KeyValue(79, 568, "Quận 11"),
      new KeyValue(79, 557, "Quận 12"),
      // new KeyValue(79, 565, "Quận 2 - TP. Thủ Đức"),
      // new KeyValue(79, 559, "Quận 9 - TP. Thủ Đức"),
      new KeyValue(79, 558, "TP Thủ Đức"),
      new KeyValue(79, 573, "Quận Bình Tân"),
      new KeyValue(79, 561, "Quận Bình Thạnh"),
      new KeyValue(79, 560, "Quận Gò Vấp"),
      new KeyValue(79, 564, "Quận Phú Nhuận"),
      new KeyValue(79, 562, "Quận Tân Bình"),
      new KeyValue(79, 563, "Quận Tân Phú"),
      new KeyValue(79, 577, "Huyện Bình Chánh"),
      new KeyValue(79, 579, "Huyện Cần Giờ"),
      new KeyValue(79, 575, "Huyện Củ Chi"),
      new KeyValue(79, 576, "Huyện Hóc Môn"),
      new KeyValue(79, 578, "Huyện Nhà Bè"),
      new KeyValue(46, 357, "Huyện A Lưới"),
      new KeyValue(46, 359, "Huyện Nam Đông"),
      new KeyValue(46, 352, "Huyện Phong Điền"),
      new KeyValue(46, 358, "Huyện Phú Lộc"),
      new KeyValue(46, 354, "Huyện Phú Vang"),
      new KeyValue(46, 353, "Huyện Quảng Điền"),
      new KeyValue(46, 351, "Thành phố Huế"),
      new KeyValue(46, 355, "Thị xã Hương Thủy"),
      new KeyValue(46, 356, "Thị xã Hương Trà"),
      new KeyValue(82, 599, "Huyện Cái Bè"),
      new KeyValue(82, 600, "Huyện Cai Lậy"),
      new KeyValue(82, 601, "Huyện Châu Thành"),
      new KeyValue(82, 602, "Huyện Chợ Gạo"),
      new KeyValue(82, 604, "Huyện Gò Công Đông"),
      new KeyValue(82, 603, "Huyện Gò Công Tây"),
      new KeyValue(82, 605, "Huyện Tân Phú Đông"),
      new KeyValue(82, 598, "Huyện Tân Phước"),
      new KeyValue(82, 595, "Thành phố Mỹ Tho"),
      new KeyValue(82, 597, "Thị xã Cai Lậy"),
      new KeyValue(82, 596, "Thị xã Gò Công"),
      new KeyValue(84, 616, "Huyện Càng Long"),
      new KeyValue(84, 617, "Huyện Cầu Kè"),
      new KeyValue(84, 620, "Huyện Cầu Ngang"),
      new KeyValue(84, 619, "Huyện Châu Thành"),
      new KeyValue(84, 622, "Huyện Duyên Hải"),
      new KeyValue(84, 618, "Huyện Tiểu Cần"),
      new KeyValue(84, 621, "Huyện Trà Cú"),
      new KeyValue(84, 615, "Thành phố Trà Vinh"),
      new KeyValue(84, 623, "Thị xã Duyên Hải"),
      new KeyValue(8, 51, "Huyện Chiêm Hóa"),
      new KeyValue(8, 52, "Huyện Hàm Yên"),
      new KeyValue(8, 49, "Huyện Lâm Bình"),
      new KeyValue(8, 50, "Huyện Nà Hang"),
      new KeyValue(8, 54, "Huyện Sơn Dương"),
      new KeyValue(8, 53, "Huyện Yên Sơn"),
      new KeyValue(8, 48, "Thành phố Tuyên Quang"),
      new KeyValue(86, 631, "Huyện Bình Tân"),
      new KeyValue(86, 625, "Huyện Long Hồ"),
      new KeyValue(86, 626, "Huyện Mang Thít"),
      new KeyValue(86, 628, "Huyện Tam Bình"),
      new KeyValue(86, 630, "Huyện Trà Ôn"),
      new KeyValue(86, 627, "Huyện Vũng Liêm"),
      new KeyValue(86, 624, "Thành phố Vĩnh Long"),
      new KeyValue(86, 629, "Thị xã Bình Minh"),
      new KeyValue(26, 176, "Huyện Bình Xuyên"),
      new KeyValue(26, 173, "Huyện Lập Thạch"),
      new KeyValue(26, 180, "Huyện Sông Lô"),
      new KeyValue(26, 175, "Huyện Tam Đảo"),
      new KeyValue(26, 174, "Huyện Tam Dương"),
      new KeyValue(26, 179, "Huyện Vĩnh Tường"),
      new KeyValue(26, 178, "Huyện Yên Lạc"),
      new KeyValue(26, 171, "Thành phố Vĩnh Yên"),
      new KeyValue(26, 172, "Thị xã Phúc Yên"),
      new KeyValue(15, 96, "Huyện Lục Yên"),
      new KeyValue(15, 98, "Huyện Mù Căng Chải"),
      new KeyValue(15, 100, "Huyện Trạm Tấu"),
      new KeyValue(15, 99, "Huyện Trấn Yên"),
      new KeyValue(15, 101, "Huyện Văn Chấn"),
      new KeyValue(15, 97, "Huyện Văn Yên"),
      new KeyValue(15, 102, "Huyện Yên Bình"),
      new KeyValue(15, 94, "Thành phố Yên Bái"),
      new KeyValue(15, 95, "Thị xã Nghĩa Lộ")
    ];

    if (idTinh == -1) return huyen;
    List<KeyValue> lst = [];
    for (int i = 0; i < huyen.length; i++) {
      if (huyen[i].parentValue == idTinh) {
        lst.add(huyen[i]);
      }
    }
    return lst;
  }

  static List<KeyValue> getDataPickerXa() {
    return [new KeyValue(-2, -1, "...")];
  }
}
