// import 'package:cloud_firestore/cloud_firestore.dart';
import 'package:firebase_auth/firebase_auth.dart';
import 'package:firebase_messaging/firebase_messaging.dart';
import 'common.dart';
import 'methods.dart';

class FirebaseService {
  // static final lstCommonCollection = ['Account', 'Language'];

  // static CollectionReference getCollection(String collectionName) {
  //   if (lstCommonCollection.contains(collectionName)) {
  //     return FirebaseFirestore.instance.collection(collectionName);
  //   }
  //   return FirebaseFirestore.instance
  //       .collection(Common.mainCollection)
  //       .doc(Common.mainDocument)
  //       .collection(collectionName);
  // }

  // static Query getQuery(String collectionName,
  //     {Map<String, Object> conditions,
  //       Map<String, bool> orderBy,
  //       int limit = -1}) {
  //   if (limit == null) {
  //     limit = -1;
  //   }

  //   Query collection = FirebaseService.getCollection(collectionName);
  //   try {
  //     if (conditions != null && conditions.length > 0) {
  //       conditions.forEach((key, value) {
  //         if (value is Map<String, Object>) {
  //           value.forEach((k, v) {
  //             var _type = value['type'];
  //             var _value = value['value'];
  //             if (_type == '==')
  //               collection = collection.where(key, isEqualTo: _value);
  //             else if (_type == '!=')
  //               collection = collection.where(key, isNotEqualTo: _value);
  //             else if (_type == '<')
  //               collection = collection.where(key, isLessThan: _value);
  //             else if (_type == '<=')
  //               collection = collection.where(key, isLessThanOrEqualTo: _value);
  //             else if (_type == '>')
  //               collection = collection.where(key, isGreaterThan: _value);
  //             else if (_type == '>=')
  //               collection =
  //                   collection.where(key, isGreaterThanOrEqualTo: _value);
  //             else if (_type == 'arrayContains')
  //               collection = collection.where(key, arrayContains: _value);
  //             else if (_type == 'arrayContainsAny')
  //               collection = collection.where(key, arrayContainsAny: _value);
  //             else if (_type == 'whereIn')
  //               collection = collection.where(key, whereIn: _value);
  //             else if (_type == 'whereNotIn')
  //               collection = collection.where(key, whereNotIn: _value);
  //           });
  //         } else {
  //           collection = collection.where(key, isEqualTo: value);
  //         }
  //       });
  //     }

  //     if (orderBy != null && orderBy.length > 0) {
  //       orderBy.forEach((key, value) {
  //         collection = collection.orderBy(key, descending: value);
  //       });
  //     }
  //     if (limit > 0) {
  //       collection = collection.limit(limit);
  //     }
  //   } catch (e) {
  //     print('getCollection : ' + e.toString());
  //   }

  //   return collection;
  // }

  // static int getNewDocumentID() {
  //   DateTime dt = DateTime.now();
  //   return dt.difference(DateTime.utc(2020, 1, 1)).inMilliseconds;
  // }

  // static Map getNewDataTemplate(Map<String, Object> data, int uid) {
  //   int documentID = getNewDocumentID();
  //   data["documentID"] = documentID;
  //   if(uid == 9999) uid = documentID;
  //   data["uid"] = uid;
  //   data["statusData"] = 1;
  //   data["createDate"] = FieldValue.serverTimestamp();
  //   return data;
  // }

  // static Map getModified(Map<String, Object> data, int uid) {
  //   data["modifiedUid"] = uid;
  //   data["modifiedDate"] = FieldValue.serverTimestamp();
  //   return data;
  // }

  // static Future<int> setData(
  //     Map<String, Object> data, String colllectionPath, int uid) async {
  //   bool isNew;
  //   if (data.containsKey('documentID')) {
  //     isNew = false;
  //     data = getModified(data, uid);
  //   } else {
  //     isNew = true;
  //     data = getNewDataTemplate(data, uid);
  //   }
  //   int documentID = Methods.stringToInt(data['documentID'].toString());
  //   if (isNew) {
  //     await getCollection(colllectionPath)
  //         .doc(documentID.toString())
  //         .set(data, SetOptions(merge: true));
  //   } else {
  //     await getCollection(colllectionPath)
  //         .doc(documentID.toString())
  //         .update(data);
  //   }
  //   return documentID;
  // }

  // static Future delete(int documentID, String colllectionPath, int uid) async {
  //   Map<String, Object> data = {};
  //   data['statusData'] = 4; // da xoa
  //   data['deletedUid'] = uid;
  //   data['deletedDate'] = FieldValue.serverTimestamp();

  //  await getCollection(colllectionPath)
  //       .doc(documentID.toString())
  //       .set(data, SetOptions(merge: true));
  // }

  static Future<bool> logout(int documentId) async {
    try {
            await FirebaseAuth.instance.signOut();

    } catch (e) {
      print('logout: ' + e.toString());
      return false;
    }
    return true;
  }

  static Future<bool> login(int documentId) async {
    try {
      FirebaseMessaging messaging = FirebaseMessaging.instance;
      await messaging.getToken().then((token) async {
      
      });
    } catch (e) {
      print('login; ' + e.toString());
    
      return false;
    }
    return true;
  }
}
