import 'package:wowit/common.dart';

class Message {
//get message by key
  static String getMessage(String key) {
    Map mapMessage;
    switch (Common.languageId) {
      case 'vn':
        mapMessage = Common.mapMessageData_VN;
        break;
      case 'en':
        mapMessage = Common.mapMessageData_EN;
        break;
      case 'jp':
        mapMessage = Common.mapMessageData_JP;
        break;
      case 'cn':
        mapMessage = Common.mapMessageData_CN;
        break;
      case 'kr':
        mapMessage = Common.mapMessageData_KR;
        break;
      default:
        return key;
    }
    if (mapMessage.containsKey(key)) return mapMessage[key];
    return key;
  }

  static void setLanguage(String languageCode) {
    Common.languageId = languageCode;
  }
}
